/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAS_table.sql **/
 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILLENTRY', 'FBANKRETURNMSG', 'NVARCHAR(255)', 'NULL', '0100', '';

 EXEC p_AlterColumn 'T_CAS_PAYWARNSET', 'FENABLE', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_ACCOUNTCASHS', 'FISBYCURRENCY', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_ACCOUNTCASHS', 'FENABLE', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_ACCOUNTCASHS', 'FCLOSESTATUS', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_FUNDFLOWITEM', 'FENABLE', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_RECEIVINGBILLTYPE', 'FENABLE', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAS_CASHJOURNAL' AND KSQL_COL_NAME ='FTRACEDATE') 
 ALTER TABLE T_CAS_CASHJOURNAL ADD (FTRACEDATE DATETIME );
 EXEC p_AlterColumn 'T_CAS_RECONCILIATIONRULE', 'FENABLE', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_CAS_CURRENCYFACEVALUE', 'FENABLE', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAS_table.sql **/
